Foros del Web » Programando para Internet » PHP »

Apache + Php = Error :(

Estas en el tema de Apache + Php = Error :( en el foro de PHP en Foros del Web. Bueno, es asi... Tengo windows xp, siempre use Internet Information Server [IIS] y era tan facil usar PHP. Solo lo instalaba y funcionaba. Podia programar ...
  #1 (permalink)  
Antiguo 15/08/2006, 20:08
 
Fecha de Ingreso: agosto-2006
Mensajes: 29
Antigüedad: 11 años, 3 meses
Puntos: 0
Apache + Php = Error :(

Bueno, es asi... Tengo windows xp, siempre use Internet Information Server [IIS] y era tan facil usar PHP. Solo lo instalaba y funcionaba. Podia programar en php y probarlas en mi servidor localhost...

Pero con la insistencia de varios amigos, quise cambiar a Apache. Instale la ultima version [ 2.2.3 ] y funciono. Al tratar de instalar el modulo de PHP [ POR MILES DE MEDIOS que estan en internet ] no puedo hacer andar el PHP [ version 5 ]. Intentando con el instalador, no funcionaba... Bajando los archivos y modificando los php.ini y httpd.conf COMO DICE EN TODOS LOS TUTORIALES DE INTERNET y no puedo hacerlo funcionar !!

Con el instalador, el apache funciona, pero no interpreta el php...
Con los archivos, modificando las configs, esta linea en el httpd.conf no deja iniciar el apache...
Código:
LoadModule php5_module C:/PHP/php5apache2.dll
Agradezco a aquellos que me puedan ayudar...

Saludos
  #2 (permalink)  
Antiguo 15/08/2006, 21:22
Avatar de caricatos
Moderador
 
Fecha de Ingreso: abril-2002
Ubicación: Torremolinos (Málaga)
Mensajes: 19.544
Antigüedad: 15 años, 8 meses
Puntos: 1262
Hola Xotihcan, bienvenido a los foros :

Sin dudas, apache + php + mysql es la mejor opción, pero hay que hacer bien la instalación. Hay un artículo muy bueno en maestros del web... te recomiendo que lo busques y lo sigas al pie de la letra.

El php.ini debe ser de la carpete window.

Saludos
__________________
Por favor:
No hagan preguntas de temas de foros en mensajes privados... no las respondo
  #3 (permalink)  
Antiguo 16/08/2006, 03:36
Avatar de tunait
Moderadora
 
Fecha de Ingreso: agosto-2001
Ubicación: Terok Nor
Mensajes: 16.805
Antigüedad: 16 años, 3 meses
Puntos: 380
Tema trasladado desde Web general
  #4 (permalink)  
Antiguo 16/08/2006, 04:20
 
Fecha de Ingreso: agosto-2006
Mensajes: 20
Antigüedad: 11 años, 4 meses
Puntos: 0
Hola.

Lo mejor que puedes hacer es descargarte el programa EASYPHP e instalarlo, siguiendo las opciones por defecto.

Después te descargas el programa MySQLFront y lo instalas siguiendo las opciones por defecto.

Y ya está. EasyPHP te instala el servidor Apache automaticamente y listo para funcionar. Una vez intalado, lo pones en marcha ( aparece una E negra al lado del reloj) y a funcionar con tus bases de datos hechas con MySQL).

Espero q te sirva de ayuda.
  #5 (permalink)  
Antiguo 16/08/2006, 04:42
Avatar de urgido  
Fecha de Ingreso: febrero-2005
Mensajes: 2.351
Antigüedad: 12 años, 9 meses
Puntos: 25
te recomiendo APPSERV
__________________
Hospedaje Web al mejor costo!
  #6 (permalink)  
Antiguo 16/08/2006, 10:49
 
Fecha de Ingreso: octubre-2005
Mensajes: 69
Antigüedad: 12 años, 1 mes
Puntos: 0
Sigue estos pasos para ver si te funciona...

APACHE: apache_2.0.58-win32-x86-no_ssl.msi (el programa)

PHP: php-5.1.4-Win32.zip (el programa)

Colocar en php.ini
Cita:
extension_dir = "C:\PHP\ext"
En las variables de entorno path: C:\PHP. Luego reiniciar

Dejar en C:\PHP el php.ini (este es una opcion, lo puedes dejar tambien el la carpeta windows)

Colocar en httpd.conf
Cita:
LoadModule php5_module "c:/php/php5apache2.dll"
AddType application/x-httpd-php .php
PHPIniDir "C:/php"
;(este es si dejas el php.ini en C.\PHP, si lo dejas en la carpeta windows no colocas esta linea)
Y luego colocas un archivo phpinfo.php
Código PHP:
<? phpinfo(); ?>
http://localhost/phpinfo.php

Y listo.. deberia funcionarte...
__________________
Ana Martins
  #7 (permalink)  
Antiguo 16/08/2006, 12:30
 
Fecha de Ingreso: junio-2005
Mensajes: 981
Antigüedad: 12 años, 6 meses
Puntos: 2
Cita:
Iniciado por urgido Ver Mensaje
te recomiendo APPSERV
Ojo con appserv, este trae algunas configuraciones malas o feas como mas te guste decirle, por ejemplo (la unica que recuerdo ahora) la configuracion de mysql tiene una directiva que no te deja crear tablas innoDB, en el my.ini debes sacar la directiva que dice skip-innodb o algo parecido... habia algunas mas pero no recuerdo. De todas forma yo lo recomiendo pero debes ser conciente de estas configuraciones.

Saludos.

<EDIT>
Ahora me acorde de otra, no sé como sera las ultimas versiones de este paquete pero hace tiempo daba un error medio raro. Cuando terminas la instalación re-inicia la PC ya que si haces algo con mysql antes de re-iniciar este se "bloquea" y no anda mas, nunca supe porque pero asi me sucedio muchas veces en muchas PC's distintas. Asi que ojo!!!

Saludos.
</EDIT>
  #8 (permalink)  
Antiguo 16/08/2006, 19:17
 
Fecha de Ingreso: agosto-2006
Mensajes: 29
Antigüedad: 11 años, 3 meses
Puntos: 0
instale el appserv... espero que me funcione xq emepece a trabajar sin reiniciar :P

Saludos

Gracias a todos =)
  #9 (permalink)  
Antiguo 16/08/2006, 20:10
 
Fecha de Ingreso: junio-2005
Mensajes: 981
Antigüedad: 12 años, 6 meses
Puntos: 2
Cita:
Iniciado por Xotihcan Ver Mensaje
instale el appserv... espero que me funcione xq emepece a trabajar sin reiniciar :P

Saludos

Gracias a todos =)
Y eso que te avise!!! . Te comento. Esas cosas que te conte me sucedio varias veces, pero otras no, por lo general lo solucionaba des-instalando todo y no dejando ningun rastro de ellos y volvia instalar... como ves muy simple.

Saludos y suerte.
  #10 (permalink)  
Antiguo 16/08/2006, 20:26
 
Fecha de Ingreso: agosto-2006
Mensajes: 29
Antigüedad: 11 años, 3 meses
Puntos: 0
Cita:
Iniciado por DarioDario Ver Mensaje
Y eso que te avise!!! . Te comento. Esas cosas que te conte me sucedio varias veces, pero otras no, por lo general lo solucionaba des-instalando todo y no dejando ningun rastro de ellos y volvia instalar... como ves muy simple.

Saludos y suerte.
si, eso hice 20 veces con el apache + php instalandolos por separados :P
  #11 (permalink)  
Antiguo 16/08/2006, 21:20
Avatar de jam1138
/** @package Moderador */
 
Fecha de Ingreso: julio-2004
Ubicación: sèveR led onieR lE
Mensajes: 9.368
Antigüedad: 13 años, 4 meses
Puntos: 101
Cita:
Iniciado por Xotihcan Ver Mensaje
[...] Instale la ultima version [ 2.2.3 ] y funciono. Al tratar de instalar el modulo de PHP [ POR MILES DE MEDIOS que estan en internet ] no puedo hacer andar el PHP [ version 5 ] [...]
Ya se ha hablado antes de "un bug" (incopatibilidad) a partir de Apache 2.2: http://www.forosdelweb.com/showpost....52&postcount=3

Para una instalación manual te sugiero seguir el manual de maestros del web (en las FAQ de este foro) con las versiones que citan ahí (anteriores) o con Apache2.2 y PHP5.14 tomando en cuenta el enlace que dejo.

Respecto a los preinstaladores... recomendaria EasyPHP, WampServer o XAMPP... en ese órden .

Saludos
__________________
٩(͡๏̯͡๏)۶
» Cómo hacer preguntas de manera inteligente «

"100 años después, la revolución no es con armas, es intelectual y digital"

Última edición por jam1138; 16/08/2006 a las 21:25
  #12 (permalink)  
Antiguo 17/08/2006, 10:11
 
Fecha de Ingreso: agosto-2006
Mensajes: 29
Antigüedad: 11 años, 3 meses
Puntos: 0
Instale AppServ y funciona de perlas :P
Gracias a todos =)
  #13 (permalink)  
Antiguo 17/08/2006, 16:48
Avatar de urgido  
Fecha de Ingreso: febrero-2005
Mensajes: 2.351
Antigüedad: 12 años, 9 meses
Puntos: 25
:)
__________________
Hospedaje Web al mejor costo!
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 05:49.